org.cpsolver.studentsct.report

## Class AbstractStudentSectioningReport.RequestMatcher

- java.lang.Object
- - org.cpsolver.studentsct.reservation.UniversalOverride.StudentMatcher
  - - org.cpsolver.studentsct.report.AbstractStudentSectioningReport.RequestMatcher

- All Implemented Interfaces:
    Query.TermMatcher
  Enclosing class:
    AbstractStudentSectioningReport

      public static class AbstractStudentSectioningReport.RequestMatcher
      extends UniversalOverride.StudentMatcher

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `AbstractStudentSectioningReport.RequestMatcher.Credit`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String[]` | `DAY_NAMES_CHARS`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `RequestMatcher(Request request, Enrollment enrollment, Assignment<Request,Enrollment> assignment, String user)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Course` | `course()`
    `CourseRequest` | `cr()`
    `Enrollment` | `enrollment()`
    `boolean` | `isAssigned()`
    `boolean` | `match(String attr, String term)` Does the object has the given attribute matching the given term?
    `Request` | `request()`

    - ### Methods inherited from class org.cpsolver.studentsct.reservation.UniversalOverride.StudentMatcher

      `student`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### DAY_NAMES_CHARS

          public static String[] DAY_NAMES_CHARS

  - ### Constructor Detail

    - #### RequestMatcher

          public RequestMatcher(Request request,
                                Enrollment enrollment,
                                Assignment<Request,Enrollment> assignment,
                                String user)

  - ### Method Detail

    - #### isAssigned

          public boolean isAssigned()

    - #### enrollment

          public Enrollment enrollment()

    - #### request

          public Request request()

    - #### cr

          public CourseRequest cr()

    - #### course

          public Course course()

    - #### match

          public boolean match(String attr,
                               String term)

      Description copied from interface: `Query.TermMatcher`
      Does the object has the given attribute matching the given term? For example, for a student, major:M1 would match a student that has major M1 (attribute is major, term is M1).
      Specified by:
        `match` in interface `Query.TermMatcher`
      Overrides:
        `match` in class `UniversalOverride.StudentMatcher`